# TdApi.AuthorizationState (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AuthorizationState

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthorizationState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState

Direct Known Subclasses:
  `TdApi.AuthorizationStateClosed`, `TdApi.AuthorizationStateClosing`, `TdApi.AuthorizationStateLoggingOut`, `TdApi.AuthorizationStateReady`, `TdApi.AuthorizationStateWaitCode`, `TdApi.AuthorizationStateWaitEncryptionKey`, `TdApi.AuthorizationStateWaitOtherDeviceConfirmation`, `TdApi.AuthorizationStateWaitPassword`, `TdApi.AuthorizationStateWaitPhoneNumber`, `TdApi.AuthorizationStateWaitRegistration`, `TdApi.AuthorizationStateWaitTdlibParameters`

Enclosing class:
  TdApi

public abstract static class TdApi.AuthorizationState extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationState()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizationState

public AuthorizationState()